Subject: Re: bug#78851: 30.1.50; fileloop-continue should have autoload cookie

From: Howard Melman <[email-masked]>
Date: Sat, 21 Jun 2025 09:57:41 -0400

> On Jun 21, 2025, at 3:16 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Howard Melman <[email-masked]>
>> Date: Fri, 20 Jun 2025 17:26:44 -0400
>> 
>> 
>> 
>> fileloop-continue is now the recommended way to continue a
>> few different kinds of searches (tags-search,
>> project-search, dired-do-search, flavors of query-replace,
>> etc. 
>> 
>> I understand that it will be available when called because
>> some other (autoloaded) fileloop command would have been
>> called and would load the file, but I think it should be
>> autoloaded because I think it will be easier for people to
>> bind it and IIUC could remove 4 declare-function calls in
>> emacs source.
>> 
>> This came up because I made a transient for project commands
>> and included project-search and wanted to include a way to
>> continue the search, but when running it I got the following error.
>> 
>>    transient-setup: Suffix command fileloop-continue is not
>>    defined or autoloaded
>> 
>> So I could add my own autoload for it but I don't think I
>> should have to.
> 
> Why not?  We will definitely not autoload every possible command in
> Emacs, so some of them will sometimes need a 'require' or an
> 'autoload'.

I thought I had given enough reasons above, but here's another:
tags-loop-continue was and still is autoloaded. I would expect
it's replacement to be treated the same way, particularly since it
has more uses.

Howard